// CrystalCPUIDDlg.h : wb_[ t@C
//

#if !defined(AFX_CRYSTALCPUIDDLG_H__0EA235B8_265E_4CB3_8765_D4DC5A075721__INCLUDED_)
#define AFX_CRYSTALCPUIDDLG_H__0EA235B8_265E_4CB3_8765_D4DC5A075721__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../CpuInfo/CpuInfoID.h"
#include "../CrystalMarkShare/ISysInfo.h"
#include "../CrystalMarkShare/Share.h"

#include "../CrystalMarkShare/DibSection.h"

/////////////////////////////////////////////////////////////////////////////
// CCrystalCPUIDDlg _CAO

class CCrystalCPUIDDlg : public CDialog
{
// \z
public:
	CCrystalCPUIDDlg(CWnd* pParent = NULL);	// W̃RXgN^
	~CCrystalCPUIDDlg();
	char CrystalCPUIDVersion[32];
	ISysInfo* SysInfo;
	BOOL m_FlagEnglish;
	BOOL m_EnableAlpha;
	CString m_MSRInfo;
	char m_ini[MAX_PATH];
	CreateWallPaper(DWORD Mode,char* FileName,char* ResourceName,COLORREF Color);
	// SysInfo
	HINSTANCE hSysInfoLib;
	BOOL ConnectSysInfo(DWORD Mode);
	BOOL DisconnectSysInfo();

	// DibSection
	CDibSection	Dib;


// _CAO f[^
	//{{AFX_DATA(CCrystalCPUIDDlg)
	enum { IDD = IDD_CRYSTALCPUID_DIALOG };
	CStatic	m_SSE3C;
	CStatic	m_IA64C;
	CStatic	m_AA64C;
	CListCtrl	m_CPUCacheList;
	CStatic	m_SSEC;
	CStatic	m_SSE2C;
	CStatic	m_MMXExC;
	CStatic	m_MMXC;
	CStatic	m_3DNowC;
	CStatic	m_3DNowExC;
	CStatic	m_HTC;
	CComboBox	m_CPUSelectC;
	CButton	m_RankingButton;
	CString	m_BrandID;
	CString	m_CacheL1ITU;
	CString	m_CacheL1ITUUnit;
	CString	m_Clock;
	CString	m_ClockOri;
	CString	m_CPUName;
	CString	m_CPUNumber;
	CString	m_DataRate;
	CString	m_ExFamily;
	CString	m_ExFamilyEx;
	CString	m_ExModel;
	CString	m_ExModelEx;
	CString	m_ExStepping;
	CString	m_Family;
	CString	m_FamilyEx;
	CString	m_L1DataCache;
	CString	m_L1ITUCache;
	CString	m_L2Cache;
	CString	m_L2CacheSpeed;
	CString	m_L2CacheSpeedMHz;
	CString	m_L3Cache;
	CString	m_Model;
	CString	m_ModelEx;
	CString	m_Multiplier;
	CString	m_MultiplierOri;
	CString	m_NameString;
	CString	m_OverClock;
	CString	m_Stepping;
	CString	m_SystemBus;
	CString	m_SystemBusOri;
	CString	m_SystemClock;
	CString	m_SystemClockOri;
	CString	m_VendorString;
	CString	m_HyperThreading;
	CString	m_Platform;
	CString	m_CPUType;
	CString	m_Apic;
	CString	m_CodeName;
	CString	m_OS;
	CString	m_ProcessRule;
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CCrystalCPUIDDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;
	DWORD m_Mask; // CPU ̔ԍ(ʏ 0 ) }XN̂̂ł͂ȂƂɒ!!
	void Refresh(BOOL flag);

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CCrystalCPUIDDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangeCpuSelect();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnExit();
	afx_msg void OnCopy();
	afx_msg void OnRefresh();
	afx_msg void OnCrystalDewWorld();
	afx_msg void OnSysInfoText();
	afx_msg void OnCustomize();
	afx_msg void OnCrystalCpuidText();
	afx_msg void OnCpuidIni();
	afx_msg void OnCpuSupport();
	afx_msg void OnEnglish();
	afx_msg void OnJapanese();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_CRYSTALCPUIDDLG_H__0EA235B8_265E_4CB3_8765_D4DC5A075721__INCLUDED_)
